Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in wireshark
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in wireshark
ID: openSUSE-SU-2018:2184-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Fr, 3. August 2018, 23:32
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14370
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14368
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14340
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14369
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14341
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14342
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14343
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14339
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14344
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14367
Applikationen: Wireshark

Originalnachricht

   openSUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2184-1
Rating: moderate
References: #1101776 #1101777 #1101786 #1101788 #1101791
#1101794 #1101800 #1101802 #1101804 #1101810

Cross-References: CVE-2018-14339 CVE-2018-14340 CVE-2018-14341
CVE-2018-14342 CVE-2018-14343 CVE-2018-14344
CVE-2018-14367 CVE-2018-14368 CVE-2018-14369
CVE-2018-14370
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes 10 vulnerabilities is now available.

Description:

This update for wireshark fixes the following issues:

Security issues fixed:

- CVE-2018-14342: BGP dissector large loop (wnpa-sec-2018-34, boo#1101777)
- CVE-2018-14344: ISMP dissector crash (wnpa-sec-2018-35, boo#1101788)
- CVE-2018-14340: Multiple dissectors could crash (wnpa-sec-2018-36,
boo#1101804)
- CVE-2018-14343: ASN.1 BER dissector crash (wnpa-sec-2018-37, boo#1101786)
- CVE-2018-14339: MMSE dissector infinite loop (wnpa-sec-2018-38,
boo#1101810)
- CVE-2018-14341: DICOM dissector crash (wnpa-sec-2018-39, boo#1101776)
- CVE-2018-14368: Bazaar dissector infinite loop (wnpa-sec-2018-40,
boo#1101794)
- CVE-2018-14369: HTTP2 dissector crash (wnpa-sec-2018-41, boo#1101800)
- CVE-2018-14367: CoAP dissector crash (wnpa-sec-2018-42, boo#1101791)
- CVE-2018-14370: IEEE 802.11 dissector crash (wnpa-sec-2018-43,
boo#1101802)

Bug fixes:

- Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-2.4.8.html


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-793=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libwireshark9-2.4.8-lp150.2.6.1
libwireshark9-debuginfo-2.4.8-lp150.2.6.1
libwiretap7-2.4.8-lp150.2.6.1
libwiretap7-debuginfo-2.4.8-lp150.2.6.1
libwscodecs1-2.4.8-lp150.2.6.1
libwscodecs1-debuginfo-2.4.8-lp150.2.6.1
libwsutil8-2.4.8-lp150.2.6.1
libwsutil8-debuginfo-2.4.8-lp150.2.6.1
wireshark-2.4.8-lp150.2.6.1
wireshark-debuginfo-2.4.8-lp150.2.6.1
wireshark-debugsource-2.4.8-lp150.2.6.1
wireshark-devel-2.4.8-lp150.2.6.1
wireshark-ui-qt-2.4.8-lp150.2.6.1
wireshark-ui-qt-debuginfo-2.4.8-lp150.2.6.1


References:

https://www.suse.com/security/cve/CVE-2018-14339.html
https://www.suse.com/security/cve/CVE-2018-14340.html
https://www.suse.com/security/cve/CVE-2018-14341.html
https://www.suse.com/security/cve/CVE-2018-14342.html
https://www.suse.com/security/cve/CVE-2018-14343.html
https://www.suse.com/security/cve/CVE-2018-14344.html
https://www.suse.com/security/cve/CVE-2018-14367.html
https://www.suse.com/security/cve/CVE-2018-14368.html
https://www.suse.com/security/cve/CVE-2018-14369.html
https://www.suse.com/security/cve/CVE-2018-14370.html
https://bugzilla.suse.com/1101776
https://bugzilla.suse.com/1101777
https://bugzilla.suse.com/1101786
https://bugzilla.suse.com/1101788
https://bugzilla.suse.com/1101791
https://bugzilla.suse.com/1101794
https://bugzilla.suse.com/1101800
https://bugzilla.suse.com/1101802
https://bugzilla.suse.com/1101804
https://bugzilla.suse.com/1101810

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung